uboot_env_device Struct Reference

`#include <libuboot.h>`

## Public Attributes

char * | devname
long long int | offset
size_t | envsize
size_t | sectorsize
unsigned long | envsectors

## Detailed Description

Configuration passed in initialization

## Member Data Documentation

## devname

char* uboot_env_device::devname

path to device or file where env is stored

## envsectors

unsigned long uboot_env_device::envsectors

Number of sectors for each environment

## envsize

size_t uboot_env_device::envsize

size of environment

## offset

long long int uboot_env_device::offset

Start offset inside device path

## sectorsize

size_t uboot_env_device::sectorsize

Size of sector (for MTD)

The documentation for this struct was generated from the following file:

- libuboot.h